package com.jasamedika.medifirst2000.service;

import java.util.Map;

import org.springframework.data.jpa.domain.Specification;

import com.jasamedika.medifirst2000.entities.JenisDiet;
import com.jasamedika.medifirst2000.vo.JenisDietVO;

public interface JenisDietService extends BaseVoService<JenisDiet, JenisDietVO, Integer>{
	public Map<String, Object> generate();
	
	public Map<String,Object> findAll(Integer page, Integer take, String sort,String dir,Specification<JenisDiet> spec);
	
	public Map<String,Object> save(JenisDietVO vo);
}
